#pragma once

#include <QGeoCoordinate>
#include <QVector>

#include "AreaInterface.h"
#include "GenericWaypointManager.h"
#include "QmlObjectListModel.h"
#include "Settings.h"

namespace WaypointManager {

typedef GenericWaypointManager<QGeoCoordinate, QVector, QmlObjectListModel,
                               Settings>
    ManagerBase;

//!
//! \brief The EmptyManager is a place holder and does noting.
class EmptyManager : public ManagerBase {
public:
  EmptyManager() = delete;
  EmptyManager(Settings &settings, AreaInterface &);

  void clear() override;
  virtual bool update() override;
  virtual bool next() override;
  virtual bool previous() override;
  virtual bool reset() override;
};

} // namespace WaypointManager
